import r from "./index-resolveProps.js";
function s(n) {
  const {
    theme: o,
    name: e,
    props: t
  } = n;
  return !o || !o.components || !o.components[e] || !o.components[e].defaultProps ? t : r(o.components[e].defaultProps, t);
}
export {
  s as default
};
